## ros-kinetic-video-stream-opencv 1.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(video_stream_opencv)
add_definitions(
    -std=c++11
)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  cv_bridge
  image_transport
  camera_info_manager
  sensor_msgs
)


find_package(OpenCV)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

add_executable(video_stream src/video_stream.cpp)
target_link_libraries(video_stream ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(TARGETS video_stream
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS
  scripts/test_video_resource.py

  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-video-stream-opencv (1.1.5-0xenial) xenial; urgency=high

  * Exit the program if we reach the end of the video when playing a video file (Issue #23)
  * Throw exception when a frame cant be captured (Issue #23, PR #27)
  * Add loop_video parameter for videofiles (PR #24)
  * Contributors: Sammy Pfeiffer, iory

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 13 Dec 2018 13:00:00 -0000

ros-kinetic-video-stream-opencv (1.1.4-0xenial) xenial; urgency=high

  * Fix bug, cv::Mat needs to be cloned otherwise all entries in the queue will point to the same frame. This resulted in always returning the last received frame.
  * Contributors: Axel13fr

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 22 Jul 2018 14:00:00 -0000

ros-kinetic-video-stream-opencv (1.1.3-0xenial) xenial; urgency=high

  * Fixing ever growing memory when using boost::sync_queue (Issue #20) by reimplementing thread safety of frames queue using std classes. boost::sync_queue is buggy (keeps on allocating memory over time).
  * Contributors: Axel13fr

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Tue, 10 Jul 2018 14:00:00 -0000

ros-kinetic-video-stream-opencv (1.1.2-0xenial) xenial; urgency=high

  * Fix empty frame id in camera info header when providing a calibration file.
  * Contributors: tim-fan

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Mon, 11 Jun 2018 14:00:00 -0000

ros-kinetic-video-stream-opencv (1.1.1-0xenial) xenial; urgency=high

  * Fix error of using camera_name instead of identifying the type of the provider
    to check when the provider is a video file, and act accordingly in the producer thread
  * Prevent locking when ROS SIGINT arrives and the image queue is empty.
  * Added rate limiting to camera_fps_rate also if videofile is used as input
  * Contributors: Andrea Ranieri, Avio, Sam Pfeiffer, Sammy Pfeiffer

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 19 Apr 2018 14:00:00 -0000

ros-kinetic-video-stream-opencv (1.1.0-0xenial) xenial; urgency=high

  * Update to use thread to read.
    Update to new parameters.
    Update description.
  * Fixed image flip bug, the flip implementation is inconsistent with OpenCV API.
  * Contributors: Sammy Pfeiffer, Zihan Chen, kantengri

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 22 Mar 2018 13:00:00 -0000

ros-kinetic-video-stream-opencv (1.0.2-0xenial) xenial; urgency=high



 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 13 Nov 2016 13:00:00 -0000

ros-kinetic-video-stream-opencv (1.0.1-0xenial) xenial; urgency=high

  * Releasable version
  * Contributors: Sammy Pfeiffer, Stefano Probst, Wiebe Van Ranst

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 13 Nov 2016 13:00:00 -0000

=== debian/control ===
Source: ros-kinetic-video-stream-opencv
Section: misc
Priority: extra
Maintainer: Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-camera-info-manager, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs
Homepage: http://www.ros.org/wiki/video_stream_opencv
Standards-Version: 3.9.2

Package: ros-kinetic-video-stream-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-camera-info-manager, ros-kinetic-cv-bridge, ros-kinetic-image-transport, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs
Description: The video_stream_opencv package contains a node to publish a video stream (the protocols that opencv supports are supported, including rtsp, webcams on /dev/video and video files) in ROS image topics, it supports camera info and basic image flipping (horizontal, vertical or both) capabilities, also adjusting publishing rate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-video-stream-opencv//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
